pcl::FPFHSignature33 Struct Reference
Module common

A point structure representing the Fast Point Feature Histogram (FPFH). More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| FPFHSignature33 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [33] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const FPFHSignature33 &p)

## Detailed Description

A point structure representing the Fast Point Feature Histogram (FPFH).

Definition at line 1564 of file point_types.hpp.

## Constructor & Destructor Documentation

## FPFHSignature33()

pcl::FPFHSignature33::FPFHSignature33 | ( |  | ) |

inline default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::FPFHSignature33::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1567 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const FPFHSignature33 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::FPFHSignature33::histogram[33] = {0.f}

Definition at line 1566 of file point_types.hpp.

Referenced by pcl::UnaryClassifier< PointT >::kmeansClustering().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp